Announcement

Collapse
No announcement yet.

Firefox 3.5 = FURIOUS!

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Firefox 3.5 = FURIOUS!

    God help me, I violated my most sacred self-directive: Be a late adapter and let others find - and solve - the bugs and problems before you make a switch or dive into a new technology.

    Selfish? You bet but highly pragmatic as well. I can hook up computers and run programs, but that is the extent of my expertise.

    I most especially despise laying out large sums of money for hardware or software, only to receive an essentially unfinished product. (Granted Firefox is a free application, but time is money)

    To business:
    I've (foolishly) upgraded my older version of Firefox to the new 3.5 (and then further to the 3.5.1 version) based on the rave reviews and promises.

    Not a good idea.

    Whenever I go to a website, I stand a decent chance of getting this error message:

    Problem loading page

    Server not found

    Firefox can't find the server at Yahoo!.

    * Check the address for typing errors such as
    ww.example.com instead of
    Example Web Page

    * If you are unable to load any pages, check your computer's network
    connection.

    * If your computer or network is protected by a firewall or proxy, make sure that Firefox is permitted to access the Web.
    This can happen on any website, though not every time.

    It's an intermittent problem that can happen every time I go to that website, 5, 6, 7 times...and then on the 8th click BINGO! Suddenly Firefox remembers how to bring up Yahoo...or Google...or the WAB.

    I've tried Googling the problem and basically what I've found is "Clear your cache, cookies etc". Which I've done. Which seems to solve the problem momentarily but ultimately does not solve the problem permanently.

    I've already tried to roll back to the previous version but I don't think that's possible and Firefox sure as hell isn't offering anything but this crappy v3.5

    What the hell is this, a Microsoft product?

    So. Anybody know what the hell is going on?
    Supporting or defending Donald Trump is such an unforgivable moral failing that it calls every bit of your judgement and character into question. Nothing about you should be trusted if you can look at this man and find redeemable value

  • #2
    Can't you google the older version of firefox and then download and install that? You're going to have to delete the ff version you have on though.

    Thank god, I was about to update to 3.5 aswell, cuz I have the 3.0.8 version installed, but now I won't thanks to your e-adventure :P

    Comment


    • #3
      I am using 3.0.12 and no issues.

      On another note, 1 billion downloads for firefox.

      One Billion + You

      Comment


      • #4
        Originally posted by Mobbme View Post
        Can't you google the older version of firefox and then download and install that?
        I must confess, I never thought to do that, as I never thought that there would be other places to download...thus breaking yet another cardinal rule of mine:

        "You can always download anything from practically anywhere...and if you're unsure, Google it anyway and find out!"

        Not sure why but every so often I get into a certain mindset and 'forget' the fundamentals :(

        Originally posted by Mobbme View Post
        You're going to have to delete the ff version you have on though.
        Pah! Gladly!

        Originally posted by Mobbme View Post
        Thank god, I was about to update to 3.5 aswell, cuz I have the 3.0.8 version installed, but now I won't thanks to your e-adventure :P
        Yeah, don't touch it with a 10 foot pole. I'm starting to see blogs pop up with outraged reports of 3.5

        The question now is, will Firefox come clean and say, sorry, we screwed up.
        Supporting or defending Donald Trump is such an unforgivable moral failing that it calls every bit of your judgement and character into question. Nothing about you should be trusted if you can look at this man and find redeemable value

        Comment


        • #5
          Ever since I upgraded to FF 3 I get the Tab that lets me know I've done it. And it doesn't go away.

          I now use 3.5 but haven't downloaded 3.5.1. And that is the only problem I have.

          I take it upgrading to 3.5.1 is a bad idea?

          Comment


          • #6
            Originally posted by Gun Grape View Post
            Ever since I upgraded to FF 3 I get the Tab that lets me know I've done it. And it doesn't go away.

            I now use 3.5 but haven't downloaded 3.5.1. And that is the only problem I have.

            I take it upgrading to 3.5.1 is a bad idea?
            Well, if you're browsing just fine on 3.5 it's a miracle as far as I'm concerned.

            I'd stick with 3.5 because upgrading to 3.5.1 didn't help one bit for me.

            I've switched back to 3.0.8 after find the most marvelous site, File Hippo :)
            Supporting or defending Donald Trump is such an unforgivable moral failing that it calls every bit of your judgement and character into question. Nothing about you should be trusted if you can look at this man and find redeemable value

            Comment


            • #7
              It's why I switched to Chrome. Any company that thinks I should do their beta testing for them loses my patronage.
              In the realm of spirit, seek clarity; in the material world, seek utility.

              Leibniz

              Comment


              • #8
                I'm running 3.5.1 with no problems. I get the automatic updates so maybe I better find and change it just in case something worse comes out in the future.

                Comment


                • #9
                  Originally posted by Parihaka View Post
                  It's why I switched to Chrome. Any company that thinks I should do their beta testing for them loses my patronage.
                  Well said. I'd downloaded Chrome last night to try it out, looked OK but I'm little too used to the IE and Firefox style.
                  Supporting or defending Donald Trump is such an unforgivable moral failing that it calls every bit of your judgement and character into question. Nothing about you should be trusted if you can look at this man and find redeemable value

                  Comment


                  • #10
                    Originally posted by TopHatter
                    Well said. I'd downloaded Chrome last night to try it out, looked OK but I'm little too used to the IE and Firefox style.
                    Do you find it that different? I mean, a few things are slightly out of place, but the basic functionality is the same it seems to me. You just get the added benefit of searching any website you want in the address bar, plus speed.
                    I enjoy being wrong too much to change my mind.

                    Comment


                    • #11
                      Originally posted by ArmchairGeneral View Post
                      Do you find it that different? I mean, a few things are slightly out of place, but the basic functionality is the same it seems to me. You just get the added benefit of searching any website you want in the address bar, plus speed.
                      I don't know that I really put any effort into checking it out...once I was able to roll back to 3.0.8, I was happy enough.
                      Supporting or defending Donald Trump is such an unforgivable moral failing that it calls every bit of your judgement and character into question. Nothing about you should be trusted if you can look at this man and find redeemable value

                      Comment


                      • #12
                        Go to portableapps.com, use portable firefox. There's nothing to install. You only need to extract the files and dump them into a directory. Run the executable to launch the browser. Got a problem? Get another version and dump it into a different directory. Nothing to UNinstall.

                        I love portable FF.
                        "Only Nixon can go to China." -- Old Vulcan proverb.

                        Comment


                        • #13
                          Just remember y'all!!

                          You cannot do Windows updates through Firefox or any other browser!

                          Only IE does that.. don't wind up with a unpatched system, that's not good!!

                          Comment


                          • #14
                            Originally posted by texasjohn View Post
                            Just remember y'all!!

                            You cannot do Windows updates through Firefox or any other browser!

                            Only IE does that.. don't wind up with a unpatched system, that's not good!!
                            I learned that 2 days ago

                            Microsoft website told me I needed IE to download/install/run the windows Live Safety Scanner program. It found 2 infections and 3 problems - something my stupid McAfee didn't pick up

                            Comment


                            • #15
                              Yep exact same problem when i browse from work when all our PCs got patched to FF 3.51
                              Every now and then for no reason i find i cant connect to any website.
                              Would love to install opera like at home..:(
                              For Gallifrey! For Victory! For the end of time itself!!

                              Comment

                              Working...
                              X